{% load static %}

<!doctype html>
<html lang="en" class="h-100">
<head>
    <link type="Image/x-icon" href={% static 'img/favicon.png' %} rel="icon">
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author"
          content="Mark Otto, Jacob Thornton, and Bootstrap contributors">
    <meta name="generator" content="Hugo 0.101.0">
    <title>
        {% block title %}
            {{ title }}
        {% endblock %}
    </title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0/dist/css/bootstrap.min.css"
          rel="stylesheet"
          integrity="sha384-gH2yIJqKdNHPEq0n4Mqa/HGKIhSkIHeL5AyhkYV8i59U5AR6csBvApHHNl/vI1Bx"
          crossorigin="anonymous">
    <link rel="canonical"
          href="https://getbootstrap.com/docs/5.2/examples/cover/">
{#    <link href="../assets/dist/css/bootstrap.min.css" rel="stylesheet">#}

    <style>
        .btn-secondary,
        .btn-secondary:hover,
        .btn-secondary:focus {
            color: #333;
            text-shadow: none; /* Prevent inheritance from `body` */
        }

        .bd-placeholder-img {
            font-size: 1.125rem;
            text-anchor: middle;
            -webkit-user-select: none;
            -moz-user-select: none;
            user-select: none;
        }

        @media (min-width: 768px) {
            .bd-placeholder-img-lg {
                font-size: 3.5rem;
            }
        }

        .b-example-divider {
            height: 3rem;
            background-color: rgba(0, 0, 0, .1);
            border: solid rgba(0, 0, 0, .15);
            border-width: 1px 0;
            box-shadow: inset 0 .5em 1.5em rgba(0, 0, 0, .1), inset 0 .125em .5em rgba(0, 0, 0, .15);
        }

        .b-example-vr {
            flex-shrink: 0;
            width: 1.5rem;
            height: 100vh;
        }

        .bi {
            vertical-align: -.125em;
            fill: currentColor;
        }

        .nav-scroller {
            position: relative;
            z-index: 2;
            height: 2.75rem;
            overflow-y: hidden;
        }

        .nav-scroller .nav {
            display: flex;
            flex-wrap: nowrap;
            padding-bottom: 1rem;
            margin-top: -1px;
            overflow-x: auto;
            text-align: center;
            white-space: nowrap;
            -webkit-overflow-scrolling: touch;
        }

        .dropdown:hover .dropdown-menu {
            display: block;
            margin-top: 0;
        }

        body{
            background: url({% static 'img/background.jpg'%});
        }

    </style>
    <!-- Custom styles for this template -->
{#    <link href="{% static 'css/cover.css'%}"  rel="stylesheet">#}
</head>

<body class="d-flex w-auto h-100 text-center text-bg-dark">

<div class="cover-container d-flex w-75 h-100 p-3 mx-auto flex-column">
    <header class="mb-auto">
        <div class="top_menu" style="width: 73%; position: fixed; background-color: #333; z-index: 1; opacity: 0.8">

            <a href="{% url 'index' %}" style="color: aqua" >
                    <h3 class="float-md-start mb-0">LMS</h3>
            </a>

            <nav class="nav nav-masthead justify-content-center float-md-end" >

                <a class="nav-link fw-bold py-1 px-0 active" aria-current="page"
                   href="{% url 'index' %}"> &nbsp Home </a>

                <div class="dropdown">
                    {% if user.is_authenticated %}
                    <a class="nav-link fw-bold py-1 px-0" href="#" id="navbarDarkDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                    &nbsp List </a>
                    <ul class="dropdown-menu dropdown-menu-dark" aria-labelledby="navbarDarkDropdownMenuLink">
                        <li><a class="nav-link fw-bold py-1 px-0 " href="{% url 'students:all_students' %}">&nbsp Students</a></li>
                        <li><a class="nav-link fw-bold py-1 px-0 " href="{% url 'teachers:all_teachers' %}">&nbsp Teachers</a></li>
                        <li><a class="nav-link fw-bold py-1 px-0 " href="{% url 'groups:all_groups' %}">&nbsp Groups</a></li>
                    </ul>
                    {% else %}
                        <a class="nav-link fw-bold py-1 px-0 disabled" href="#" id="navbarDarkDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                    &nbsp List </a>
                    {% endif %}
                </div>

                <div class="dropdown">
                {% if user.is_authenticated %}
                    <a class="nav-link fw-bold py-1 px-0" href="#" id="navbarDarkDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                    &nbsp Find </a>
                    <ul class="dropdown-menu dropdown-menu-dark" aria-labelledby="navbarDarkDropdownMenuLink">
                        <li><a class="nav-link fw-bold py-1 px-0 " href="{% url 'students:find_students' %}">&nbsp Student</a></li>
                        <li><a class="nav-link fw-bold py-1 px-0 " href="{% url 'teachers:find_teachers' %}">&nbsp Teacher</a></li>
                        <li><a class="nav-link fw-bold py-1 px-0 " href="{% url 'groups:find_groups' %}">&nbsp Group</a></li>
                    </ul>
                {% else %}
                    <a class="nav-link fw-bold py-1 px-0 disabled" href="#" id="navbarDarkDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                    &nbsp Find </a>
                {% endif %}
                </div>

                <div class="dropdown">
                {% if user.is_authenticated %}
                    <a class="nav-link fw-bold py-1 px-0" href="#" id="navbarDarkDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                     &nbsp Create </a>
                    <ul class="dropdown-menu dropdown-menu-dark " aria-labelledby="navbarDarkDropdownMenuLink">
                        <li><a class="nav-link fw-bold py-1 px-0 " href="{% url 'students:create_students' %}">&nbsp Student</a></li>
                        <li><a class="nav-link fw-bold py-1 px-0 " href="{% url 'teachers:create_teachers' %}">&nbsp Teacher</a></li>
                        <li><a class="nav-link fw-bold py-1 px-0 " href="{% url 'groups:create_groups' %}">&nbsp Group</a></li>
                    </ul>
                {% else %}
                    <a class="nav-link fw-bold py-1 px-0 disabled" href="#" id="navbarDarkDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                     &nbsp Create </a>
                {% endif %}
                </div>

                <div>
                {% if user.is_authenticated %}
                    <a class="nav-link fw-bold py-1 px-0" href="{% url 'students:search_history' %}">&nbsp Search history &nbsp</a>
                {% else %}
                    <a class="nav-link fw-bold py-1 px-0 disabled" href="{% url 'students:search_history' %}">&nbsp Search history &nbsp</a>
                {% endif %}
                </div>

                <div class="dropdown text-end">
                    <a href="#" class="d-block link-primary text-decoration-none dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false">
                    <img src="{% static 'img/ava.png' %}" alt="No." width="32" height="32" class="rounded border"> <b> User </b>
                    </a>
                    {% if user.is_authenticated %}
                    <ul class="dropdown-menu dropdown-menu-dark"  aria-labelledby="navbarDarkDropdownMenuLink" style="align-items: center">
                        <li><a class="nav-link fw-bold py-1 px-0 " href="#">&nbsp {% if user.username %}{{ user.username }}
                                                                                                {% else %}{{ user.email }}{% endif %}</a></li>
                        <li><a class="nav-link fw-bold py-1 px-0 " href="{% url 'users-profile' %}">&nbsp Profile</a></li>
                            {% if user.is_staff %}
                                <li><a class="nav-link fw-bold py-1 px-0 " href="{% url 'admin:index' %}">&nbsp Admin page</a></li>
                                <li><a class="nav-link fw-bold py-1 px-0 " href="{% url 'admin:password_change' %}">&nbsp Change password</a></li>
                            {% else %}
                                <li><a class="nav-link fw-bold py-1 px-0 " href="{% url 'change_password' %}">&nbsp Change password</a></li>
                            {% endif %}
                        <li><hr class="divider"></li>
                        <li><a class="nav-link fw-bold py-1 px-0 " href="{% url 'logout' %}">&nbsp Log out</a></li>
                    </ul>
                    {% else %}
                    <ul class="dropdown-menu dropdown-menu-dark"  aria-labelledby="navbarDarkDropdownMenuLink" style="align-items: center">
                        <li><a class="nav-link fw-bold py-1 px-0 " href="{% url 'login' %}">&nbsp Login</a></li>
                        <li><a class="nav-link fw-bold py-1 px-0 " href="{% url 'registration' %}">&nbsp Registration</a></li>
                        <li><a class="nav-link fw-bold py-1 px-0 " href="{% url 'send_email' %}">&nbsp Send email</a></li>
                        <li><a class="nav-link fw-bold py-1 px-0 " href="{% url 'password_reset' %}">&nbsp Reset password</a></li>
                        <li><hr class="divider"></li>
                        <li><a class="nav-link fw-bold py-1 px-0"  href="#">&nbsp Gmail</a></li>
                        <li><a class="nav-link fw-bold py-1 px-0" href="#">&nbsp Facebook</a></li>
                    </ul>
                    {% endif %}
                 </div>

            </nav>
        </div>
    </header>

    <main class="px-3" style="opacity: 0.8; margin-top: 50px;">
        {% block content %}
            <h1>Cover your page.</h1>
            <p class="lead">Cover is a one-page template for building simple and
                beautiful home pages.<br> Download, edit the text, and add your own
                fullscreen background photo to make it your own.</p>
            <img src="{% static 'img/test.jpg'%}" alt="image not load..">
            <br>
            <p class="lead">
            <form method="GET" action="{% url 'students:find_students' %}" style="margin: auto; width: 30%">
                <div class="input-group mb-3">
                    {% if user.is_authenticated %}
                    <input type="text" class="form-control" placeholder="Search text on students information"
                           name="search_text" aria-label="Search students">
                    <button class="btn btn-primary" type="submit" value="submit">Search</button>
                    {% endif %}
                </div>
            </form>
        {% endblock %}
    </main>

    <footer class="mt-auto text-white-50">
        <p>Cover template for <a href="https://getbootstrap.com/"
                                 class="text-white">Bootstrap</a>,
        by <a href="https://t.me/Giliaz" class="text-white">@giliaz</a>.</p>
    </footer>
</div>


<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-A3rJD856KowSb7dwlZdYEkO39Gagi7vIsF0jrRAoQmDKKtQBHUuLZ9AsSv4jD4Xa"
        crossorigin="anonymous"></script>
</body>
</html>